<< | Thread Index | >> ]    [ << | Date Index | >> ]

Subject: Re: PKCIPE problems RH7.0
From: Jeff Liu <jeff,AT,onramp,DOT,ca>
Date: Tue, 3 Jul 2001 20:39:54 +0200
In-reply-to: <200107031923.f63JNsL01189@malone.scotnet.co.uk>

Did you compile and install new version openssl? I had this problem when I 
upgraded openssl from source.  But, I have fixed it now.

Take a look on you "/usr/lib/libssl* and /usr/lib/libcrp*", you may found 
there are few *.so.0 and *.so which still trying link to old libssl. Correct 
them, then ypou can compile it out.

Good luck,

Jeff Liu

On Tuesday 03 July 2001 15:23, jon,AT,malone,DOT,scotnet,DOT,co,DOT,uk wrote:
> New to cipe
> during compile of 1.5.2 when I get to pkcipe on RH7.0 I get-
>
> gcc -I/usr//include  -I.. -I../lib -Wall -Wstrict-prototypes
> -fomit-frame-pointer -fno-strength-reduce -g  -Wno-strict-prototypes
> -DHAVE_CONFIG_H   -MD -c packet.c packet.c: In function `setSendKey':
> packet.c:53: warning: implicit declaration of function
> `EVP_CIPHER_CTX_set_key_length' packet.c:60: structure has no member named
> `key_len'
> packet.c: In function `setRecvKey':
> packet.c:76: structure has no member named `key_len'
> packet.c: In function `packetRecv':
> packet.c:171: warning: implicit declaration of function `memcpy'
> make: *** [packet.o] Error 1
>
> Any clues?
>
> Is there a better/older/other version than 1.5.2 that would solve this
> problem? jon
>
> --
> Message sent by the cipe-l,AT,inka,DOT,de mailing list.
> Unsubscribe: mail majordomo,AT,inka,DOT,de, "unsubscribe cipe-l" in body
> Other commands available with "help" in body to the same address.
> CIPE info and list archive:
> <URL:http://sites.inka.de/~bigred/devel/cipe.html>





<< | Thread Index | >> ]    [ << | Date Index | >> ]